Skip to main content

Create a Domain

Create a new domain. The request body must contain a valid Domain object.

Request Body — REQUIRED

Domain object to create.

id string — REQUIRED
name string
type string
description string
config object
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
Responses
201

Domain created successfully.

Schema — OPTIONAL
id string
name string — OPTIONAL
type string — OPTIONAL
description string — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Bad request. Invalid input or missing required fields.

401

Unauthorized. Authentication required.

500

Internal server error.